Skip to content

Message Queue Queues

GET/api/v1/mq/queues
GET
/api/v1/mq/queues

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Query Parameters

filter?

Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.

sort?string

Comma-separated sort keys, - for descending, at most 1. Keys: name, approximate_message_count, updated_at, created_at. Default: -created_at.

limit?integer

Rows per page, 1 to 100 (default 25).

Range1 <= value <= 100
cursor?string

The page.next_cursor of the previous page. Cannot be combined with page.

page?integer

A 1-based page number, for jumping. Cannot be combined with cursor.

Range1 <= value
total?boolean

Set to true to include the number of matching rows in page.total.

Response Body

application/json

curl -X GET "https://example.com/api/v1/mq/queues"
{  "page": {    "has_more": true,    "next_cursor": "string",    "page": 0,    "total": 0  },  "queues": [    {      "approximate_message_count": 0,      "approximate_not_visible_count": 0,      "created_at": "2019-08-24T14:15:22Z",      "name": "string",      "queue_id": "string",      "subscriptions": [        "string"      ]    }  ]}
POST/api/v1/mq/queues
POST
/api/v1/mq/queues

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request to create a new queue

Response Body

application/json

curl -X POST "https://example.com/api/v1/mq/queues" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "created_at": "2019-08-24T14:15:22Z",  "dead_letter_queue": "string",  "delay_seconds": 0,  "fifo": true,  "max_receive_count": 0,  "message_retention_minutes": 0,  "name": "string",  "queue_id": "string",  "visibility_timeout_seconds": 0}
GET/api/v1/mq/queues/{queue_name}
GET
/api/v1/mq/queues/{queue_name}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

queue_name*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/mq/queues/string"
{  "created_at": "2019-08-24T14:15:22Z",  "dead_letter_queue": "string",  "delay_seconds": 0,  "fifo": true,  "max_receive_count": 0,  "message_retention_minutes": 0,  "name": "string",  "queue_id": "string",  "statistics": {    "approximate_delayed_count": 0,    "approximate_message_count": 0,    "approximate_not_visible_count": 0,    "oldest_message_age_seconds": 0  },  "subscriptions": [    {      "filter_policy": null,      "subscribed_at": "2019-08-24T14:15:22Z",      "topic_name": "string"    }  ],  "updated_at": "2019-08-24T14:15:22Z",  "visibility_timeout_seconds": 0}
DELETE/api/v1/mq/queues/{queue_name}
DELETE
/api/v1/mq/queues/{queue_name}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

queue_name*string

Response Body

application/json

curl -X DELETE "https://example.com/api/v1/mq/queues/string"
{  "message": "string"}
POST/api/v1/mq/queues/{queue_name}/purge
POST
/api/v1/mq/queues/{queue_name}/purge

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

queue_name*string

Response Body

application/json

curl -X POST "https://example.com/api/v1/mq/queues/string/purge"
{  "messages_purged": 0}